Liferay.Loader.define("commerce-product-options-web@3.0.22/CPOptionDetail.es", ['module', 'exports', 'require', 'frontend-js-web', 'frontend-js-metal-web$metal-component', 'frontend-js-metal-web$metal-dom', 'frontend-js-metal-web$metal-soy', 'frontend-js-metal-web$metal-state', './CPOptionDetail.soy'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _frontendJsWeb = require("frontend-js-web");

    var _metalComponent = _interopRequireDefault(require("frontend-js-metal-web$metal-component"));

    var _metalDom = require("frontend-js-metal-web$metal-dom");

    var _metalSoy = _interopRequireDefault(require("frontend-js-metal-web$metal-soy"));

    var _metalState = require("frontend-js-metal-web$metal-state");

    var _CPOptionDetail = _interopRequireDefault(require("./CPOptionDetail.soy"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    /**
     * CPOptionDetail
     *
     */
    var CPOptionDetail = /*#__PURE__*/function (_Component) {
      _inherits(CPOptionDetail, _Component);

      function CPOptionDetail() {
        _classCallCheck(this, CPOptionDetail);

        return _possibleConstructorReturn(this, _getPrototypeOf(CPOptionDetail).apply(this, arguments));
      }

      _createClass(CPOptionDetail, [{
        key: "created",
        value: function created() {
          this.on('cpOptionIdChanged', this._handleCPOptionChange);
        }
      }, {
        key: "rendered",
        value: function rendered() {
          this.loadOptionDetail(this.cpOptionId);
        }
      }, {
        key: "loadOptionDetail",
        value: function loadOptionDetail(cpOptionId) {
          var instance = this;
          var optionDetail = this.refs['option-detail'];
          var url = new URL(this.optionURL);
          url.searchParams.append(this.namespace + 'cpOptionId', cpOptionId);
          (0, _frontendJsWeb.fetch)(url).then(function (response) {
            return response.text();
          }).then(function (text) {
            optionDetail.innerHTML = text;

            _metalDom.globalEval.runScriptsInElement(optionDetail);

            var name = optionDetail.querySelector('#' + instance.namespace + 'name');

            if (name) {
              name.addEventListener('keyup', function (event) {
                var target = event.target;
                instance.emit('nameChange', target.value);
              });
            }
          });
        }
      }, {
        key: "_handleCPOptionChange",
        value: function _handleCPOptionChange(event) {
          this.loadOptionDetail(event.newVal);
        }
      }, {
        key: "_handleSaveOption",
        value: function _handleSaveOption() {
          var instance = this;
          AUI().use('aui-base', 'aui-form-validator', 'liferay-form', function (A) {
            var hasErrors = false;
            var form = instance.element.querySelector('.option-detail form');
            var liferayForm = Liferay.Form.get(form.getAttribute('id'));

            if (liferayForm) {
              var validator = liferayForm.formValidator;

              if (A.instanceOf(validator, A.FormValidator)) {
                validator.validate();
                hasErrors = validator.hasErrors();

                if (hasErrors) {
                  validator.focusInvalidField();
                }
              }
            }

            if (!hasErrors) {
              instance._saveOption();
            }
          });
        }
      }, {
        key: "_handleCancel",
        value: function _handleCancel() {
          this.emit('cancel');
        }
      }, {
        key: "_handleDeleteOption",
        value: function _handleDeleteOption() {
          if (confirm(Liferay.Language.get('are-you-sure-you-want-to-delete-the-selected-option'))) {
            this._deleteOption();
          }
        }
      }, {
        key: "_deleteOption",
        value: function _deleteOption() {
          var _this = this;

          var form = this.element.querySelector('.option-detail form');
          form.querySelector('[name=' + this.namespace + 'cmd]').value = 'delete';
          var formData = new FormData(form);
          (0, _frontendJsWeb.fetch)(form.action, {
            body: formData,
            method: 'POST'
          }).then(function (response) {
            return response.json();
          }).then(function (jsonResponse) {
            _this.emit('optionDeleted', jsonResponse);
          });
        }
      }, {
        key: "_saveOption",
        value: function _saveOption() {
          var _this2 = this;

          var form = this.element.querySelector('.option-detail form');
          var formData = new FormData(form);
          (0, _frontendJsWeb.fetch)(form.action, {
            body: formData,
            method: 'POST'
          }).then(function (response) {
            return response.json();
          }).then(function (jsonResponse) {
            _this2.emit('optionSaved', jsonResponse);
          });
        }
      }]);

      return CPOptionDetail;
    }(_metalComponent.default);
    /**
     * State definition.
     * @type {!Object}
     * @static
     */

    CPOptionDetail.STATE = {
      cpOptionId: _metalState.Config.string().required(),
      namespace: _metalState.Config.string().required(),
      optionURL: _metalState.Config.string().required(),
      pathThemeImages: _metalState.Config.string().required()
    }; // Register component

    _metalSoy.default.register(CPOptionDetail, _CPOptionDetail.default);

    var _default = CPOptionDetail;
    exports.default = _default;
    //# sourceMappingURL=CPOptionDetail.es.js.map
  }
});
//# sourceMappingURL=CPOptionDetail.es.js.map