Liferay.Loader.define("commerce-product-options-web@3.0.22/CPOptionValueDetail.soy", ['module', 'exports', 'require', 'frontend-js-metal-web$metal-component', 'frontend-js-metal-web$metal-soy'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.templates = exports.CPOptionValueDetail = void 0;

    var _metalComponent = _interopRequireDefault(require("frontend-js-metal-web$metal-component"));

    var _metalSoy = _interopRequireDefault(require("frontend-js-metal-web$metal-soy"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    var templates;
    exports.templates = templates;
    goog.loadModule(function (exports) {
      var soy = goog.require('soy');

      goog.require('soydata');

      // This file was automatically generated from CPOptionValueDetail.soy.
      // Please don't edit this file by hand.

      /**
       * @fileoverview Templates in namespace CPOptionValueDetail.
       * @public
       */

      goog.module('CPOptionValueDetail.incrementaldom');

      goog.require('goog.soy.data.SanitizedContent');

      goog.require('goog.string');

      var incrementalDom = goog.require('incrementaldom');

      goog.require('soy.asserts');

      goog.require('soy.idom');

      /**
       * @param {{
       *  cpOptionValueId: (!goog.soy.data.SanitizedContent|null|string|undefined),
       *  id: (!goog.soy.data.SanitizedContent|null|string|undefined),
       *  _handleDeleteOptionValue: (*|null|undefined),
       *  _handleSaveOptionValue: (*|null|undefined)
       * }} opt_data
       * @param {Object<string, *>=} opt_ijData
       * @param {Object<string, *>=} opt_ijData_deprecated
       * @return {void}
       * @suppress {checkTypes}
       */

      function $render(opt_data, opt_ijData, opt_ijData_deprecated) {
        opt_ijData = opt_ijData_deprecated || opt_ijData;
        opt_data = opt_data || {};
        /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

        var cpOptionValueId = soy.asserts.assertType(opt_data.cpOptionValueId == null || goog.isString(opt_data.cpOptionValueId) || opt_data.cpOptionValueId instanceof goog.soy.data.SanitizedContent, 'cpOptionValueId', opt_data.cpOptionValueId, '!goog.soy.data.SanitizedContent|null|string|undefined');
        /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

        var id = soy.asserts.assertType(opt_data.id == null || goog.isString(opt_data.id) || opt_data.id instanceof goog.soy.data.SanitizedContent, 'id', opt_data.id, '!goog.soy.data.SanitizedContent|null|string|undefined');
        /** @type {*|null|undefined} */

        var _handleDeleteOptionValue = opt_data._handleDeleteOptionValue;
        /** @type {*|null|undefined} */

        var _handleSaveOptionValue = opt_data._handleSaveOptionValue;
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('id', id);
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('h4');
        incrementalDom.attr('class', 'section-header');
        incrementalDom.elementOpenEnd();
        /** @desc  */

        var MSG_EXTERNAL_6233741463414743282 = Liferay.Language.get('option-value-detail');
        incrementalDom.text(goog.string.unescapeEntities(MSG_EXTERNAL_6233741463414743282));
        incrementalDom.elementClose('h4');
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'option-value-detail');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementClose('div');
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'option-rel-button-row');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('button');
        incrementalDom.attr('class', 'btn btn-primary');
        incrementalDom.attr('onclick', _handleSaveOptionValue);
        incrementalDom.attr('type', 'button');
        incrementalDom.elementOpenEnd();
        /** @desc  */

        var MSG_EXTERNAL_8640257554156088424 = Liferay.Language.get('save');
        incrementalDom.text(goog.string.unescapeEntities(MSG_EXTERNAL_8640257554156088424));
        incrementalDom.elementClose('button');

        if (cpOptionValueId != '0') {
          incrementalDom.elementOpenStart('button');
          incrementalDom.attr('class', 'btn btn-secondary');
          incrementalDom.attr('onclick', _handleDeleteOptionValue);
          incrementalDom.attr('type', 'button');
          incrementalDom.elementOpenEnd();
          /** @desc  */

          var MSG_EXTERNAL_2456043080471762298 = Liferay.Language.get('delete');
          incrementalDom.text(goog.string.unescapeEntities(MSG_EXTERNAL_2456043080471762298));
          incrementalDom.elementClose('button');
        }

        incrementalDom.elementClose('div');
        incrementalDom.elementClose('div');
      }

      exports.render = $render;
      /**
       * @typedef {{
       *  cpOptionValueId: (!goog.soy.data.SanitizedContent|null|string|undefined),
       *  id: (!goog.soy.data.SanitizedContent|null|string|undefined),
       *  _handleDeleteOptionValue: (*|null|undefined),
       *  _handleSaveOptionValue: (*|null|undefined)
       * }}
       */

      $render.Params;

      if (goog.DEBUG) {
        $render.soyTemplateName = 'CPOptionValueDetail.render';
      }

      exports.render.params = ["cpOptionValueId", "id", "_handleDeleteOptionValue", "_handleSaveOptionValue"];
      exports.render.types = {
        "cpOptionValueId": "string",
        "id": "string",
        "_handleDeleteOptionValue": "any ",
        "_handleSaveOptionValue": "any "
      };
      exports.templates = templates = exports;
      return exports;
    });

    var CPOptionValueDetail = /*#__PURE__*/function (_Component) {
      _inherits(CPOptionValueDetail, _Component);

      function CPOptionValueDetail() {
        _classCallCheck(this, CPOptionValueDetail);

        return _possibleConstructorReturn(this, _getPrototypeOf(CPOptionValueDetail).apply(this, arguments));
      }

      return CPOptionValueDetail;
    }(_metalComponent.default);

    exports.CPOptionValueDetail = CPOptionValueDetail;

    _metalSoy.default.register(CPOptionValueDetail, templates);

    var _default = templates;
    /* jshint ignore:end */

    exports.default = _default;
    //# sourceMappingURL=CPOptionValueDetail.soy.js.map
  }
});
//# sourceMappingURL=CPOptionValueDetail.soy.js.map