Liferay.Loader.define("frontend-taglib-clay@6.6.20/data_set_display/data_renderers/CommentRenderer", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/icon', '@frontend-taglib-clay$clayui/tooltip', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _tooltip = require("@frontend-taglib-clay$clayui/tooltip");

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function CommentRenderer(_ref) {
      var children = _ref.children;
      return (/*#__PURE__*/_react.default.createElement(_tooltip.ClayTooltipProvider, null, /*#__PURE__*/_react.default.createElement(_button.default, {
          className: "cell-comment inline-item ml-2 my-n2 px-1 text-warning",
          "data-tooltip-align": "top",
          "data-tooltip-delay": 0,
          displayType: "link",
          title: children
        }, /*#__PURE__*/_react.default.createElement(_icon.default, {
          symbol: "info-circle"
        })))
      );
    }

    var _default = CommentRenderer;
    exports.default = _default;
    //# sourceMappingURL=CommentRenderer.js.map
  }
});
//# sourceMappingURL=CommentRenderer.js.map