Liferay.Loader.define('frontend-taglib-clay@6.6.20/data_set_display/management_bar/actions/index', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.actions = exports.actionsDefinition = void 0;

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var actionsDefinition = {
      RESET_FILTERS_VALUE: 'resetFiltersValue',
      UPDATE_FILTER_STATE: 'updateFilterState'
    };
    exports.actionsDefinition = actionsDefinition;

    var updateFilterState = function updateFilterState(dispatch) {
      return function (id) {
        var value = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
        var formattedValue = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : null;
        var odataFilterString = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : null;
        return dispatch({
          payload: {
            formattedValue: formattedValue,
            id: id,
            odataFilterString: odataFilterString,
            value: value
          },
          type: actionsDefinition.UPDATE_FILTER_STATE
        });
      };
    };

    var resetFiltersValue = function resetFiltersValue(dispatch) {
      return function () {
        return dispatch({
          type: actionsDefinition.RESET_FILTERS_VALUE
        });
      };
    };

    var actions = {
      resetFiltersValue: resetFiltersValue,
      updateFilterState: updateFilterState
    };
    exports.actions = actions;
    var _default = actions;
    exports.default = _default;
    //# sourceMappingURL=index.js.map
  }
});
//# sourceMappingURL=index.js.map