Liferay.Loader.define("frontend-taglib-clay@6.6.20/data_set_display/management_bar/components/ActiveViewSelector", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/drop-down', '@frontend-taglib-clay$clayui/icon', 'frontend-taglib-clay$prop-types', 'frontend-js-react-web$react', '../../AppContext', '../../DataSetDisplayContext', '../../thunks/persistActiveView', '../../views/ViewsContext'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = require("@frontend-taglib-clay$clayui/button");

    var _dropDown = _interopRequireDefault(require("@frontend-taglib-clay$clayui/drop-down"));

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _propTypes = _interopRequireDefault(require("frontend-taglib-clay$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _AppContext = require("../../AppContext");

    var _DataSetDisplayContext = _interopRequireDefault(require("../../DataSetDisplayContext"));

    var _persistActiveView = _interopRequireDefault(require("../../thunks/persistActiveView"));

    var _ViewsContext = _interopRequireDefault(require("../../views/ViewsContext"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function ActiveViewSelector(_ref) {
      var views = _ref.views;

      var _useContext = (0, _react.useContext)(_AppContext.AppContext),
          appURL = _useContext.appURL,
          portletId = _useContext.portletId;

      var _useState = (0, _react.useState)(false),
          _useState2 = _slicedToArray(_useState, 2),
          active = _useState2[0],
          setActive = _useState2[1];

      var _useContext2 = (0, _react.useContext)(_ViewsContext.default),
          _useContext3 = _slicedToArray(_useContext2, 2),
          activeView = _useContext3[0].activeView,
          dispatch = _useContext3[1];

      var _useContext4 = (0, _react.useContext)(_DataSetDisplayContext.default),
          id = _useContext4.id;

      return (/*#__PURE__*/_react.default.createElement(_dropDown.default, {
          active: active,
          onActiveChange: setActive,
          trigger: /*#__PURE__*/_react.default.createElement(_button.ClayButtonWithIcon, {
            displayType: "secondary",
            symbol: activeView.thumbnail
          })
        }, /*#__PURE__*/_react.default.createElement(_dropDown.default.ItemList, null, views.map(function (_ref2) {
          var label = _ref2.label,
              name = _ref2.name,
              thumbnail = _ref2.thumbnail;
          return (/*#__PURE__*/_react.default.createElement(_dropDown.default.Item, {
              key: name,
              onClick: function onClick(event) {
                event.preventDefault();
                setActive(false);
                dispatch((0, _persistActiveView.default)({
                  activeViewName: name,
                  appURL: appURL,
                  id: id,
                  portletId: portletId
                }));
              }
            }, /*#__PURE__*/_react.default.createElement(_icon.default, {
              className: "mr-3",
              symbol: thumbnail
            }), label)
          );
        })))
      );
    }

    var _default = ActiveViewSelector;
    exports.default = _default;
    //# sourceMappingURL=ActiveViewSelector.js.map
  }
});
//# sourceMappingURL=ActiveViewSelector.js.map