Liferay.Loader.define("frontend-taglib-clay@6.6.20/data_set_display/side_panel/SideMenu", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/icon', 'frontend-taglib-clay$classnames', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = SideMenu;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _classnames = _interopRequireDefault(require("frontend-taglib-clay$classnames"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function SideMenu(_ref) {
      var active = _ref.active,
          items = _ref.items,
          open = _ref.open;
      return (/*#__PURE__*/_react.default.createElement("ul", {
          className: "bg-dark nav side-menu",
          role: "tablist"
        }, items.map(function (item) {
          return (/*#__PURE__*/_react.default.createElement("li", {
              className: "nav-item",
              key: item.slug
            }, /*#__PURE__*/_react.default.createElement(_button.default, {
              className: (0, _classnames.default)('mx-3 my-2 btn-secondary', active === item.slug && 'active'),
              displayType: "unstyled",
              monospaced: true,
              onClick: function onClick(event) {
                event.preventDefault();
                open(item.href, item.slug);
              }
            }, /*#__PURE__*/_react.default.createElement(_icon.default, {
              symbol: item.icon
            })))
          );
        }))
      );
    }
    //# sourceMappingURL=SideMenu.js.map
  }
});
//# sourceMappingURL=SideMenu.js.map