Liferay.Loader.define("frontend-taglib-clay@6.6.20/data_set_display/data_renderers/BooleanRenderer", ['module', 'exports', 'require', 'frontend-taglib-clay$prop-types'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _propTypes = _interopRequireDefault(require("frontend-taglib-clay$prop-types"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function BooleanRenderer(props) {
      var _props$options, _props$options2;

      if (typeof props.value !== 'boolean') {
        return null;
      }

      return props.value ? ((_props$options = props.options) === null || _props$options === void 0 ? void 0 : _props$options.trueLabel) || Liferay.Language.get('yes') : ((_props$options2 = props.options) === null || _props$options2 === void 0 ? void 0 : _props$options2.falseLabel) || Liferay.Language.get('no');
    }

    BooleanRenderer.propTypes = {
      options: _propTypes.default.shape({
        falseLabel: _propTypes.default.string,
        trueLabel: _propTypes.default.string
      }),
      value: _propTypes.default.bool
    };
    var _default = BooleanRenderer;
    exports.default = _default;
    //# sourceMappingURL=BooleanRenderer.js.map
  }
});
//# sourceMappingURL=BooleanRenderer.js.map